Starmade | Ships created in shipyards lose Transporter target
Confirmed task for development, HighPublic

Description

Names assigned to inner ship remotes and data entered into display modules are both lost upon construction in a shipyard.

Happens every time and with any ship/blueprint for me.

Details

Task Type
Bug
Testing Results
Affected Gamemode(s)
Single and Multi
Reproducible
Yes
Last tested (version)
0.199.147
Category
Control Block System: Shipyards
First occurrence (version)
0.19626 (Dev)
Hardware/Software/System
OS-Specific
No
Hardware-Specific
No
Video Card Vendor
NVIDIA
Video Card Model
GTX 770
Tester information (Internal use only)

affects metadata in designs either build or copied from blueprints

  • Display Block text
  • Inner Ship Remote names
  • Transporter names
  • Filter data of a storage chest
  • Transporter Target Structure
  • Transporter Target Name (might work but it can't find structure)

Transporter names and chest pull data saves correctly, ship -> design and design -> ship show no problems.

Transporter Target Structure and Target Transporter however only seems to work when you go from ship -> design.
If you try to make a ship out of a design that has those target transporter set to itself or a dock of the ship, it gives you a weird result.

What it looks like in a design that was created from a valid ship that has working transporters:

What it looks like if you construct that design:

It remembers the transporter coordinates, but it can't find the newly constructed structure.

Serverconfig (server.cfg)
<replace this line with the file content>
Clientconfig (settings.cfg)
<replace this line with the file content>
Java Version (64bit)

java version "1.8.0_60"
Java(TM) SE Runtime Environment (build 1.8.0_60-b27)
Java HotSpot(TM) 64-Bit Server VM (build 25.60-b23, mixed mode)

e4278 created this task.Sep 3 2015, 11:12 PM
e4278 changed Reproducible from uncertain to Yes.
e4278 set Last tested (version) to v0.19421.
e4278 changed Video Card Vendor from uncertain to NVIDIA.
e4278 set Video Card Model to GTX 770.
e4278 edited Serverconfig (server.cfg). (Show Details)
e4278 edited Clientconfig (settings.cfg). (Show Details)
e4278 edited Java Version (64bit). (Show Details)
e4278 added a subscriber: e4278.
Restricted Application added a project: Issue Navigation. · View Herald TranscriptSep 3 2015, 11:12 PM
AndyP claimed this task.Sep 4 2015, 12:48 PM
AndyP triaged this task as "Normal" priority.
AndyP shifted this object from the S1 Public space to the S3 Starmade space.
AndyP changed the visibility from "Custom Policy" to "Public (No Login Required)".
AndyP changed the edit policy from "Task Author" to "Starmade (Project)".
AndyP set Task Type to Bug.
AndyP set Category to none/unspecified.
AndyP set Affected Gamemode(s) to none/unspecified.
AndyP set OS-Specific to No.
AndyP set Hardware-Specific to No.
AndyP moved this task from New / Unconfirmed to Open / Validated on the Issue Navigation board.
AndyP removed AndyP as the assignee of this task.
AndyP added a subscriber: AndyP.

-Validated-

-Confirmed-
load blueprint into a shipyard to replicate.

jzimmerman4 changed the task status from "Open" to "In Queue (Game)".
Restricted Application edited projects, added Game Development, Starmade; removed Issue Navigation. · View Herald TranscriptSep 4 2015, 3:46 PM
AndyP changed Category from none/unspecified to Control Block System: Shipyards.Oct 26 2015, 10:29 PM
AssIn9 added a subscriber: AssIn9.Nov 4 2015, 10:51 AM
AndyP removed jzimmerman4 as the assignee of this task.Dec 20 2015, 11:07 PM

Assignee 'jzimmerman4' left the testing team.

SmilingDemon edited Tester information (Internal use only). (Show Details)Feb 18 2016, 8:47 PM
AndyP raised the priority of this task from "Normal" to "Release Blocker".Mar 8 2016, 8:29 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 9 2016, 2:22 AM
schema added a subscriber: schema.
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 9 2016, 2:22 AM
Restricted Application added a subscriber: Megacrafter127. · View Herald Transcript
AndyP claimed this task.Mar 16 2016, 9:23 AM
AndyP changed the task status from "Resolved" to "In Queue (Game)".EditedMar 16 2016, 3:06 PM

-QA Testing-

Fixed partially,
Display modules and inner ship remote names work.

However, transporter names are lost.
Sending back in queue.

Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptMar 16 2016, 3:06 PM
AndyP edited Tester information (Internal use only). (Show Details)Mar 16 2016, 3:08 PM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 19 2016, 9:54 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 19 2016, 9:54 PM

added inventory filters also

-QA Testing-

Transporter names still get lost so that didn't fix it.
A new one to the list is that filter data of storage chests doesn't get saved in a design either.

lancake changed Affected Gamemode(s) from none/unspecified to Single and Multi.Mar 20 2016, 12:19 AM
lancake changed Last tested (version) from v0.19421 to 0.19615 (Dev).
lancake edited Tester information (Internal use only). (Show Details)
lancake changed the task status from "Resolved" to "In Queue (Game)".
lancake claimed this task.
Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptMar 20 2016, 12:19 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Mar 20 2016, 1:04 AM

only fixed for newly created designs

Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptMar 20 2016, 1:04 AM
lancake changed the task status from "Resolved" to "In Queue (Game)".Apr 2 2016, 2:00 PM

-QA Testing-

Transporter names and chest pull data saves correctly, ship -> design and design -> ship show no problems.

Transporter Target Structure and Target Transporter however only seems to work when you go from ship -> design.
If you try to make a ship out of a design that has those target transporter set to itself or a dock of the ship, it gives you a weird result.

What it looks like in a design that was created from a valid ship that has working transporters:

What it looks like if you construct that design:

It remembers the transporter coordinates, but it can't find the newly constructed structure.

Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptApr 2 2016, 2:00 PM
lancake edited Tester information (Internal use only). (Show Details)Apr 2 2016, 2:01 PM
lancake changed Last tested (version) from 0.19615 (Dev) to 0.19626 (Dev).
lancake edited Tester information (Internal use only). (Show Details)
lancake lowered the priority of this task from "Release Blocker" to "High".
lancake mentioned this in Unknown Object (Maniphest Task).Apr 26 2016, 10:13 AM
schema changed the task status from "In Queue (Game)" to "Resolved".Aug 10 2016, 3:56 PM
Restricted Application edited projects, added Quality Assurance; removed Game Development. · View Herald TranscriptAug 10 2016, 3:56 PM
lancake changed the task status from "Resolved" to "In Queue (Game)".Aug 12 2016, 2:56 PM

-QA Testing-

Same issue as before: http://phab.starma.de/T612#49931
Design -> Real ship and it forgets the Target Structure of one of its docks.

Restricted Application edited projects, added Game Development; removed Quality Assurance. · View Herald TranscriptAug 12 2016, 2:56 PM
lancake changed the title from "Ships created in shipyards lose Inner ship remote names and display module data" to "Ships created in shipyards lose Transporter target".Aug 12 2016, 2:57 PM
lancake changed Last tested (version) from 0.19626 (Dev) to 0.199.147.
lancake set First occurrence (version) to 0.19626 (Dev).
Restricted Application added a project: CBS: Shipyards. · View Herald TranscriptMar 10 2017, 5:03 PM
AndyP changed the task status from "In Queue (Game)" to "In Queue".Mar 10 2017, 5:07 PM
AndyP moved this task from Alpha to Beta on the CBS: Shipyards board.